# Reorder units of measure (sets sortOrder from list order) (/docs/api-reference/units-of-measure/UnitsOfMeasureController_reorderUnits)

`PATCH /api/factories/{factoryId}/units-of-measure/reorder`

Base URL: https://api.xentr.ai

Authentication: bearer token (`Authorization: Bearer <token>`).

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `factoryId` | path | yes | string |  |

## Request body

Required.

Content type: `application/json`

```json
{
  "type": "object",
  "properties": {
    "ids": {
      "description": "Full ordered list of unit ids for one factory.",
      "type": "array",
      "items": {
        "type": "string"
      }
    }
  },
  "required": [
    "ids"
  ]
}
```

## Responses

### 200